package providerroute

import (
	"bitbucket.org/nemt/nemt-portal-api/application/applicationservice"
	"bitbucket.org/nemt/nemt-portal-api/infra/config"
	"github.com/labstack/echo"
)

const (
	rootRoute          = ""
	participatingroute = "/participating"
)

func Register(r *echo.Group, cfg *config.Config, svc *applicationservice.Service) {
	ctrl := controllerInstance(cfg, svc)

	r.GET(rootRoute, ctrl.handleList)
	r.GET(participatingroute, ctrl.handleParticipating)
	r.POST(rootRoute, ctrl.handle)
}
